For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETGets all types of work.
      • POSTCreates a new type of work.
      • GETGets all possible icons for type of work.
      • GETGets the type of work with the specified id.
      • PUTChanges the properties of an existing type of work.
      • POSTDeletes the type of work with the specified id.
      • POSTArchives or unarchives the type of work with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceType of Work

Deletes the type of work with the specified id.

POST
https://api.awork.com/api/v1/typeofwork/:typeOfWorkId/delete
POST
/api/v1/typeofwork/:typeOfWorkId/delete
$curl -X POST https://api.awork.com/api/v1/typeofwork/typeOfWorkId/delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Archives or unarchives the type of work with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

typeOfWorkIdstringRequiredformat: "uuid"
The id of the type of work.

Request

The model containing the new type of work id to substitute.
typeOfWorkIdstring or nullOptionalformat: "uuid"
The id of the new task type.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error